# Package org.apache.maven.artifact

Interface Summary
Interface | Description
--- | ---
Artifact | Description of an artifact.

Class Summary
Class | Description
--- | ---
ArtifactStatus | Type safe enumeration for the artifact status field.
ArtifactUtils |
DefaultArtifact |

Exception Summary
Exception | Description
--- | ---
DependencyResolutionRequiredException | Exception that occurs when an artifact file is used, but has not been resolved.
InvalidArtifactRTException | Exception thrown when the identity of an artifact can not be established, eg.
InvalidRepositoryException | Error constructing an artifact repository.